import request from '@/utils/request'
import requestDownload from '@/utils/request-download'

export function cRCVisitList_Export(param) {
  return requestDownload({
    url: '/ExcelExport/cRCVisitList_Export',
    method: 'post',
    responseType: 'blob',
    data: param
  })
}

export function getQCChallengeList_Export(param) {
  return requestDownload({
    url: '/ExcelExport/getQCChallengeList_Export',
    method: 'post',
    responseType: 'blob',
    data: param
  })
}

export function getSubjectList_Export(param) {
  return requestDownload({
    url: '/ExcelExport/getSubjectList_Export',
    method: 'post',
    responseType: 'blob',
    data: param
  })
}

export function getSubjectReadingPeriod_Export(param) {
  return requestDownload({
    url: '/ExcelExport/getSubjectReadingPeriod_Export',
    method: 'post',
    responseType: 'blob',
    data: param
  })
}

export function getReadingPeriodList_Export(param) {
  return requestDownload({
    url: '/ExcelExport/getReadingPeriodList_Export',
    method: 'post',
    responseType: 'blob',
    data: param
  })
}

export function getDicomAndNoneDicomStudyList_Export(param) {
  return requestDownload({
    url: '/ExcelExport/getDicomAndNoneDicomStudyList_Export',
    method: 'post',
    responseType: 'blob',
    data: param
  })
}

export function getConsistencyVerificationList_Export(param) {
  return requestDownload({
    url: '/ExcelExport/getConsistencyVerificationList_Export',
    method: 'post',
    responseType: 'blob',
    data: param
  })
}

export function getReadingTaskList_Export(param) {
  return requestDownload({
    url: '/ExcelExport/getReadingTaskList_Export',
    method: 'post',
    responseType: 'blob',
    data: param
  })
}
export function getTrialVisitImageStatList_Export(param) {
  return requestDownload({
    url: '/ExcelExport/getTrialVisitImageStatList_Export',
    method: 'post',
    responseType: 'blob',
    data: param
  })
}
export function getReReadingTaskList_Export(param) {
  return requestDownload({
    url: '/ExcelExport/getReReadingTaskList_Export',
    method: 'post',
    responseType: 'blob',
    data: param
  })
}

export function getMedicalReviewTaskList_Export(param) {
  return requestDownload({
    url: '/ExcelExport/getMedicalReviewTaskList_Export',
    method: 'post',
    responseType: 'blob',
    data: param
  })
}

export function getSelfAnalysisTaskList_Export(param) {
  return requestDownload({
    url: '/ExcelExport/getSelfAnalysisTaskList_Export',
    method: 'post',
    responseType: 'blob',
    data: param
  })
}

export function getGroupAnalysisTaskList_Export(param) {
  return requestDownload({
    url: '/ExcelExport/getGroupAnalysisTaskList_Export',
    method: 'post',
    responseType: 'blob',
    data: param
  })
}

export function getTrialReadingCriterionCanExportDocumentList(param) {
  return request({
    url: `/ExcelExport/getTrialReadingCriterionCanExportDocumentList?TrialReadingCriterionId=${param.TrialReadingCriterionId}`,
    method: 'get'
  })
}

export function getOverallTumorEvaluationList_Export(param) {
  return requestDownload({
    url: '/ExcelExport/getOverallTumorEvaluationList_Export',
    method: 'post',
    responseType: 'blob',
    data: param
  })
}

export function getEvaluationOfTumorEfficacy_Export(param) {
  return requestDownload({
    url: '/ExcelExport/getEvaluationOfTumorEfficacy_Export',
    method: 'post',
    responseType: 'blob',
    data: param
  })
}

export function getDetailedOfEvaluatedLesion_Export(param) {
  return requestDownload({
    url: '/ExcelExport/getDetailedOfEvaluatedLesion_Export',
    method: 'post',
    responseType: 'blob',
    data: param
  })
}

export function getStudyUploadMonitor_Export(param) {
  return requestDownload({
    url: '/ExcelExport/getStudyUploadMonitor_Export',
    method: 'post',
    responseType: 'blob',
    data: param
  })
}

export function getSubjectProgress_Export(param) {
  return requestDownload({
    url: '/ExcelExport/getSubjectProgress_Export',
    method: 'post',
    responseType: 'blob',
    data: param
  })
}
// 导出项目列表
export function getTrialList_Export(data) {
  return requestDownload({
    url: `/ExcelExport/getTrialList_Export`,
    responseType: 'blob',
    method: 'post',
    data
  })
}
// 导出培训记录
export function pMTrainingRecordList_Export(data) {
  return requestDownload({
    url: `/ExcelExport/pMTrainingRecordList_Export`,
    responseType: 'blob',
    method: 'post',
    data
  })
}
// 导出系统培训记录
export function getSysDocumentConfirmList_Export(data) {
  return requestDownload({
    url: `/ExcelExport/getSysDocumentConfirmList_Export`,
    responseType: 'blob',
    method: 'post',
    data
  })
}
// 导出影像指控
export function qCVisitList_Export(data) {
  return requestDownload({
    url: `/ExcelExport/qCVisitList_Export`,
    responseType: 'blob',
    method: 'post',
    data
  })
}
// 导出影像指控问题和答案
export function GetTrialQCQuestionAnserList_Export(data) {
  return requestDownload({
    url: `/ExcelExport/GetTrialQCQuestionAnserList_Export`,
    responseType: 'blob',
    method: 'post',
    data
  })
}
// 导出下载记录
export function getTrialDownloadList_Export(data) {
  return requestDownload({
    url: `/ExcelExport/getTrialDownloadList_Export`,
    responseType: 'blob',
    method: 'post',
    data
  })
}
// 导出接收记录
export function getSCPImageUploadList_Export(data) {
  return requestDownload({
    url: `/ExcelExport/getSCPImageUploadList_Export`,
    responseType: 'blob',
    method: 'post',
    data
  })
}
// 导出接收检查影像记录
export function getPatientList_Export(data) {
  return requestDownload({
    url: `/ExcelExport/getPatientList_Export`,
    responseType: 'blob',
    method: 'post',
    data
  })
}
export function getTumor_CDISC_IVUSOCT_Export(data) {
  return requestDownload({
    url: `/IVUS_OCTExport/getTumor_CDISC_Export`,
    responseType: 'blob',
    method: 'post',
    data
  })
}
export function getCommonEvaluationList_Export(data) {
  return requestDownload({
    url: `/ExcelExport/getCommonEvaluationList_Export`,
    responseType: 'blob',
    method: 'post',
    data
  })
}
export function getCommonJudgeRatioList_Export(data) {
  return requestDownload({
    url: `/ExcelExport/getCommonJudgeRatioList_Export`,
    responseType: 'blob',
    method: 'post',
    data
  })
}
export function getTumor_CDISC_Export(data) {
  return requestDownload({
    url: `/Tumor_CDISC_Export/getTumor_CDISC_Export`,
    responseType: 'blob',
    method: 'post',
    data
  })
}
// 导出国际化列表
export function GetInternationalizationList_Export(data) {
  return requestDownload({
    url: `/ExcelExport/GetInternationalizationList_Export`,
    responseType: 'blob',
    method: 'post',
    data
  })
}
// 导出一致性分析
export function GetAnalysisTaskList_Export(data) {
  return requestDownload({
    url: `/ExcelExport/GetAnalysisTaskList_Export`,
    responseType: 'blob',
    method: 'post',
    data
  })
}
// 导出邮件配置
export function GetEmailNoticeConfigList_Export(data) {
  return requestDownload({
    url: `/ExcelExport/GetEmailNoticeConfigList_Export`,
    responseType: 'blob',
    method: 'post',
    data
  })
}
// 导出重传审批
export function GetImageBackList_Export(data) {
  return requestDownload({
    url: `/ExcelExport/GetImageBackList_Export`,
    responseType: 'blob',
    method: 'post',
    data
  })
}
// 导出医学审核配置
export function GetReadingMedicineSystemQuestionList_Export(data) {
  return requestDownload({
    url: `/ExcelExport/GetReadingMedicineSystemQuestionList_Export`,
    responseType: 'blob',
    method: 'post',
    data
  })
}
// 导出中心调研
export function getTrialSiteSurveyList_Export(data) {
  return requestDownload({
    url: `/ExcelExport/getTrialSiteSurveyList_Export`,
    responseType: 'blob',
    method: 'post',
    data
  })
}
// 导出中心设备
export function getSiteSurveyEquipmentList_Export(data) {
  return requestDownload({
    url: `/ExcelExport/getSiteSurveyEquipmentList_Export`,
    responseType: 'blob',
    method: 'post',
    data
  })
}
// 导出中心调研基本信息
export function getSiteSurveyInfoList_Export(data) {
  return requestDownload({
    url: `/ExcelExport/getSiteSurveyInfoList_Export`,
    responseType: 'blob',
    method: 'post',
    data
  })
}
